Bug 251997 - rhn-delete-package-internal can't delete source pacakges
Summary: rhn-delete-package-internal can't delete source pacakges
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend   
(Show other bugs)
Version: RHN Stable
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: Grant Gainey
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 253379 253920
TreeView+ depends on / blocked
 
Reported: 2007-08-13 18:42 UTC by James Bowes
Modified: 2013-01-10 09:55 UTC (History)
3 users (show)

Fixed In Version: 5.0.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 14:36:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Bowes 2007-08-13 18:42:51 UTC
On the server side when passed the --sources option, rhn-delete-package-internal
looks up the pkgid for the binary package, rather than the source one, then
operates on that in the source package table, deleting a different package, in
effect.

Comment 1 Dennis Gregorovic 2007-08-30 16:29:21 UTC
Is there an ETA for when the fix will land on stage?

Comment 2 James Bowes 2007-11-01 18:26:34 UTC
To test:
* identify an rpm with an associated source rpm.
* run rhn-delete-package-internal --sources --package=package-version-release.arch
* verify (via webui or up2date source download) that the source rpm is deleted.

Comment 3 Grant Gainey 2007-11-05 22:14:08 UTC
Verified using a2ps-4.13b-28.i386.rpm in Q A- it has no src rpm anymore

Comment 4 Grant Gainey 2007-11-14 21:05:04 UTC
With dgregor's help, verified in STAGE


Note You need to log in before you can comment on or make changes to this bug.